*****************************************************************
* THE ELECTORAL CONSEQUENCES OF TAXATION IN OECD COUNTRIES
* Leo Ahrens & Frank Bandau
*****************************************************************

// working directory
cd "C:\Dropbox\Vote punishment Leo Frank\replication_electoral_consequences_taxation"   // change this to the replication folder

// prep and settings
clear all
cap which ietoolkit
if _rc==111 ssc install ietoolkit
qui ietoolkit 
if r(version)<7.0 ado update ietoolkit, update
ieboilstart, version(16.1) adopath("ado", strict) maxvar(32767)  // reduce the max var number here if required
`r(version)'
set seed 3499
glob simrep_boot 10000

// Create directories for output files
cap mkdir "data/processed"
cap mkdir "results"
cap mkdir "results/figures"
cap mkdir "results/estimates"
cap mkdir "results/tables"

// initialize log file
cap log close
log using "results/log.txt", text replace
di "Begin time: " %tcCCYY.NN.DD!-HH.MM.SS `=clock("$S_DATE $S_TIME", "DMYhms")'

// execute analysis
do "code/1_prepare_mergedata.do"
do "code/2_create_dataset.do"
do "code/3_regressions.do"
do "code/4_figures.do"
do "code/5_rename_files.do"

// end log file
di "End time: " %tcCCYY.NN.DD!-HH.MM.SS `=clock("$S_DATE $S_TIME", "DMYhms")'
cap log close










